Subject: Another item for the Shepherd writeup

From: Paul Kyzivat <[email-masked]>
Date: Fri, 17 Jul 2020 15:46:09 -0400

I have a bis document now in AUTH48. Among the things the RFC editor 
noticed and asked me about was that there is an errata against the old 
document that wasn't addressed in the bis.

Obviously this was a screwup and should have been noticed sooner. (I 
consider it above the call of duty for the RFC editor to have noticed this!)

I'm thinking that it would be good to have another item on the Shepherd 
writeup checklist for this. E.g.,

"Does this document revise or update an RFC? If so, have errata against 
that RFC been considered, and addressed if within the scope of this 
document?"

Thoughts?

	Thanks,
	Paul

---

From: Donald Eastlake <[email-masked]>
Date: Fri, 17 Jul 2020 15:50:34 -0400

Seems to me like an excellent idea and to also be in the spirit of the
other PROTO questions.

Thanks,
Donald
===============================
 Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
 2386 Panoramic Circle, Apopka, FL 32703 USA
 [email-masked]

---

From: Fred Baker <[email-masked]>
Date: Fri, 17 Jul 2020 13:10:03 -0700

Yes

Sent from my iPad

> On Jul 17, 2020, at 12:50 PM, Donald Eastlake <[email-masked]> wrote:
>

---

From: Paul Kyzivat <[email-masked]>
Date: Fri, 17 Jul 2020 20:01:15 -0400

What is required to make this happen?

	Thanks,
	Paul

---

From: Carsten Bormann <[email-masked]>
Date: Sat, 18 Jul 2020 02:15:22 +0200

> What is required to make this happen?

Done.

https://www.ietf.org/chairs/document-writeups/essay-style-document-writeup/

	• If this is a "bis" document, have all of the errata been considered? 

Grüße, Carsten

---

From: Carsten Bormann <[email-masked]>
Date: Sat, 18 Jul 2020 02:20:17 +0200

> Done.

OK, OK, it’s not in

https://www.ietf.org/chairs/document-writeups/document-writeup-working-group-documents/

(But it is in RFC 6410, for those who are writing that kind of -bis document.)

Grüße, Carsten

---

From: Benjamin Kaduk <[email-masked]>
Date: Fri, 17 Jul 2020 20:00:22 -0700

> What is required to make this happen?

I think you have to find some sucker on the IESG (*) to own the action
item.  I note that there's currently a task underway to update the I-D
checklist, and making a pass over the shepherd writeup templates would
dovetail fairly nicely after that.

Specific text suggestions, as always, help speed things up.

-Ben

(*) but I repeat myself

---

From: Paul Kyzivat <[email-masked]>
Date: Sat, 18 Jul 2020 10:10:45 -0400

> 	• If this is a "bis" document, have all of the errata been considered?

I think this may apply more broadly than just to bis documents. Any 
document updates another *may* be a candidate for addressing an errata. 
(erratum?) The difference is that a bis should probably be expected to 
clear all errata, while an update may or may not find an errata to be in 
its scope.

	Thanks,
	Paul

---

From: Ben Campbell <[email-masked]>
Date: Sun, 19 Jul 2020 16:36:48 -0500

> On Jul 17, 2020, at 7:15 PM, Carsten Bormann <[email-masked]> wrote:
> 

Let’s be careful not to imply that every bis document MUST address all errata. Perhaps add something to the effect of “Does the document explain the reasoning for any unaddressed errata?”

Ben.

---

From: Carsten Bormann <[email-masked]>
Date: Mon, 20 Jul 2020 02:51:10 +0200

> On 2020-07-19, at 23:36, Ben Campbell <[email-masked]> wrote:
> 
> 
> 

Actually, the text I cited from the shepherd report template requires even less: Just stating that “the errata [reports(*) have] been considered”.  Stating is less then explaining, considering is less than addressing is less then discussing in-document.
So I do think we are on the safe side.

(*) I prefer to talk about “errata reports”: First, errata is plural, so it it requires some Latin grammar knowledge or Google-fu to form the singular if required; and second, many of them are reports about problems, not actual errata, but often still worth considering.

RFC 6410 Section 2.2 is even more specific:

   (2) There are no errata against the specification that would cause a
       new implementation to fail to interoperate with deployed ones.

(I think there is an implicit “not informed by the errata reports” after “implementation”.)

I think the remaining work item is to get the point from the essay template into the checklist template.  And are there any other items the essay template mentions while the checklist template fails to do so?

Grüße, Carsten

---

From: Fred Baker <[email-masked]>
Date: Sun, 19 Jul 2020 18:35:27 -0700

This thread is very pertinent to a project proposed in v6ops, where an RFC is proposed to be "updated". In the context, there are no existing errata, but I have encouraged the working group to add errata if they are needed. If such errata come about, it will change what I hope for - taking an informational document that is widely deployed and implemented operationally to proposed standard, or (if there are no changes identified in the process) to Internet Standard.

If there is an outcome to the thread, I would encourage it to be written up and ratified in the IETF.

> On Jul 19, 2020, at 5:51 PM, Carsten Bormann <[email-masked]> wrote:
> 
> 
>

---

From: Ben Campbell <[email-masked]>
Date: Mon, 20 Jul 2020 00:22:08 -0500

> On Jul 19, 2020, at 7:51 PM, Carsten Bormann <[email-masked]> wrote:
> 
> 
> 

I don’t disagree that you are correct. But my experience is a lot of people have trouble distinguishing between “considered”, “addressed”, and “fixed”.

> I think the remaining work item is to get the point from the essay template into the checklist template.  And are there any other items the essay template mentions while the checklist template fail…

Good question, and I don’t have the answer without further research :-)

Ben.

---

From: "Salz, Rich" <[email-masked]>
Date: Mon, 20 Jul 2020 13:17:40 +0000

>    Actually, the text I cited from the shepherd report template requires even less: Just stating that “the errata [reports(*) have] been considered”.  Stating is less then explaining, considering i…

Strongly agree.